#!/usr/local/bin/perl
#***************************************************************************
#*          Copyright 2000 DBAmon Software, All Rights Reserved            *
#***************************************************************************
# --------------------------------------------------------------
# Changes:
# --------------------------------------------------------------

$| = 1;
$P = "dbamon_orastat";

#------------------------------------------------------------------------------
sub msg
#------------------------------------------------------------------------------
{
  $msgmsg = $_[0];
  chop($date = `date +%Y/%m/%d-%H:%M:%S`);
  print "$date ${P} | $msgmsg\n";
}

#------------------------------------------------------------------------------
#
# Main
#
#------------------------------------------------------------------------------

#$msgfile = "/tmp/dbamon_orastat_tmp.txt";
$verb = $ARGV[0];
$arg  = $ARGV[1];
$arg2 = $ARGV[1];
$arg3 = $ARGV[1];
use Time::Local;
chop($host = `hostname`);

$os = $ENV{"ORACLE_SID"};
$oh = $ENV{"ORACLE_HOME"};

chop($id = `whoami`);

#---- Old (bb 21Aug07)
#if (length($verb) < 4) 
#---- New (bb 21Aug07)
if (length($verb) < 8) 
{
  $command = "orastat";
}
else
{
  $command = "orastat_oraadmin";
}

&msg("Starting - host=$host verb=$verb command=$command ORACLE_SID=$os ORACLE_HOME=$oh");

if ($oh eq "*")
{
  &msg("Resolving ORACLE_HOME of *");
  chop($ENV{"ORACLE_HOME"} = `grep ^$ENV{"ORACLE_SID"}: /etc/oratab | awk -F: '{ print \$2 }'`);
  $oh = $ENV{"ORACLE_HOME"};
  &msg("Resolved to: $oh");
}

$ENV{"PATH"} = "$oh/bin:/tmp:$ENV{'PATH'}";

$rc = system("/tmp/DBAmon_$id/$command $verb $arg $arg2 $arg3 2>&1");

&msg("Back from $command - rc=$rc - exiting");
exit 0;
