create table dbamon.uptime_summary
  (
    instance     char(32)     not null,
    tot_date     date         not null,
    tot_time     integer      not null,
    tot_downtime integer      not null,
    tot_pct      number(6,2)  not null,
    us_sby_flag  char(1)      default 'N',
    us_key       integer      , 
    ts           date         default sysdate
  );
create index dbamon.uptime_summary_x1 on dbamon.uptime_summary (instance,tot_date);
create index dbamon.uptime_summary_x2 on dbamon.uptime_summary (us_key);
